Bug 1400263 - Review Request: python-vmware-nsxlib - A common library that interfaces with VMware NSX
Summary: Review Request: python-vmware-nsxlib - A common library that interfaces with ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Steve Linabery
QA Contact: Jason Joyce
URL:
Whiteboard:
Depends On: 1392374
Blocks: RDO-OCATA
TreeView+ depends on / blocked
 
Reported: 2016-11-30 18:26 UTC by Steve Linabery
Modified: 2017-05-17 19:49 UTC (History)
6 users (show)

Fixed In Version: python-vmware-nsxlib-0.5.0-0.20161222235349.fc115e4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1392374
Environment:
Last Closed: 2017-05-17 19:49:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Steve Linabery 2016-11-30 18:26:05 UTC
New BuildRequires and Requires for python-networking-vmware-nsx

+++ This bug was initially created as a clone of Bug #1392374 +++

Spec URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib.spec
SRPM URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib-0.2.0-1.el7.centos.src.rpm
Description: vmware-nsxlib is a common library that interfaces with VMware NSX
Fedora Account System Username: jpena

Opening this review against RDO and not Fedora because the library is only used by networking-vmware, which is not part of Fedora [1], and it requires other libraries only packaged in RDO, such as neutron-lib.

[1] http://codesearch.openstack.org/?q=vmware_nsxlib&i=nope&files=&repos=

--- Additional comment from Alfredo Moralejo on 2016-11-08 04:50:40 EST ---

A couple of comments:

- Any reason to not use http://tarballs.openstack.org in Source0?
- I think we should use autosetup -S git

--- Additional comment from Javier Peña on 2016-11-08 05:23:47 EST ---

Thank you for the comments. I have updated the spec:

Spec URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib.spec
SRPM URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib-0.2.0-2.el7.centos.src.rpm

--- Additional comment from Javier Peña on 2016-11-08 06:21:07 EST ---

Updated version disabling python3 subpackage by default, until we get python3-neutron-lib.

Spec URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib.spec
SRPM URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib-0.2.0-3.el7.centos.src.rpm

--- Additional comment from Alfredo Moralejo on 2016-11-08 06:40:15 EST ---

Unit tests are failing because of missing requirements. We need to add tenacity and neutron-lib as BuildRequires to get tests running (in my tests it worked fine with these two additional packages and its deps).

Note that tox installsw both requirements.txt and test-requirements.txt when testing in gate in this project so the most safe option would be to add all Requires as BR also.

--- Additional comment from Alfredo Moralejo on 2016-11-08 08:52:17 EST ---

Using http://trunk.rdoproject.org/centos7-master/current instead of consistent link works as python-tenacity has been added in the dependencies chain for neutron-lib (which was as BR since the previous version). However, it may be a good idea to add tenacity as a explicit BR.

--- Additional comment from Javier Peña on 2016-11-08 09:11:12 EST ---

New version:

Spec URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib.spec
SRPM URL: https://jpena.fedorapeople.org/python-vmware-nsxlib/python-vmware-nsxlib-0.2.0-4.el7.centos.src.rpm

Comment 3 errata-xmlrpc 2017-05-17 19:49:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.